package com.fs.course.service;

import com.fs.common.core.domain.R;
import com.huaweicloud.sdk.vod.v1.model.BaseInfo;

import java.io.File;
import java.io.IOException;

public interface IHuaweiObsService {

    void uploadPartFile(File file,String fileKey);

    String uploadAndMergeVideo(File uploadedFile) throws IOException, InterruptedException;

    void uploadByCOS() throws IOException ;

}
